# Almanac
Information tool that modifies the in-game trophy panel.
### Features
- Creature health, faction, damage modifiers...
- Creature attacks, intelligence, taming items..
- Item stack, value, quality, durability, teleportability...
- Item damages, modifiers, set bonuses, armor...
- Item recipe and or conversion
- Items that are not known by players, are blacked out
- Pieces comfort, health, modifiers...
- Pieces conversion, recipe, container drops...
- Automatically adjusts trophies on the panel if they happen to share the same position as another (typically due to trophies added by mods without regards of unique placement on the board)
### Configurations
- color configurations for damage modifiers
- localization yml file for extended language support
    - English built-in
    - French built-in
- Knowledge wall server synced configuration
```
For more details about how to create your own localization yml file.
Please find me on OdinPlus discord.
There will be a mod-test release channel where we will be sharing configs.
If you give me one in your language, I will happily embedded it into the mod.
```

| `Version` | `Update Notes`                                                                                   |
|-----------|--------------------------------------------------------------------------------------------------|
| 1.0.0     | - Initial Release                                                                                |
| 1.0.1     | - Wrong name lol                                                                                 |
| 1.0.2     | - Small Tweak for compatibility with RtdMonsters and monsterlabz                                 |
| 1.0.3     | - Fixed compatibility with modded monster mods that have missing values                          |
| 1.0.4     | - Minor tweaks to make mod work in various languages by having text dynamically resize           |
| 1.0.5     | - Minor changes to the logic on how it finds creature to display in languages other than english |
| 1.0.6     | - Added a patch to fix any overlapping trophies                                                  |
| 1.0.7     | - Hotfix for latest valheim patch - more updates to come soon                                    |
| 2.0.0     | - Major update - Almanac now supports items |
| 2.0.1     | - Almanac now supports pieces |

### Latest update notes
- Creature tab displays all creatures in order to display the information of monsters who do not have a trophy.
- Creature tab knowledge wall is locked through global keys (ex: defeated_gdking) - will look into adding more keys as the last boss key is given by yagluth
- Item panel prefab name is clickable to copy to clipboard

![](https://i.imgur.com/Kx5DGkK.png)
![](https://i.imgur.com/thcXdFW.png)
![](https://i.imgur.com/W3U5YQa.png)
![](https://i.imgur.com/hfUrC3E.png)

## Contact information
For Questions or Comments, find <span style="color:orange">Rusty</span> in the Odin Plus Team Discord

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/5gXNxNkUBt)


If you enjoy this mod and want to support me: [Donate via Buy Me a Coffee](https://www.buymeacoffee.com/peimalcolm2)
